<?php
/* adds info about comments count on main admin page, uses javascript */
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// comments count
$query = '
SELECT COUNT(*)
	FROM '.COA_TABLE.'
;';
list($nb_comments) = pwg_db_fetch_row(pwg_query($query));

$template->assign('DB_COMMENTS_ALBUMS', l10n_dec('%d comment', '%d comments', $nb_comments));

// unvalidated comments
$query = '
SELECT COUNT(*)
	FROM '.COA_TABLE.'
	WHERE validated=\'false\'
;';
list($nb_comments) = pwg_db_fetch_row(pwg_query($query));

if ($nb_comments > 0) {
	$template->assign('unvalidated_albums', array(
		'URL' => PHPWG_ROOT_PATH.'admin.php?page=comments&amp;section=albums',
		'INFO' => sprintf(l10n('%d waiting for validation'), $nb_comments)
	));
}

// template
$template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/coa_admin_intro.tpl');
$template->concat('ADMIN_CONTENT', $template->parse('comments_on_albums', true));

?>